Subject: xnee: cnee --replay sends mouse to upper left corner and doesn't move it

From: Alex Rozenshteyn <[email-masked]>
Date: Wed, 17 Sep 2014 10:22:35 -0400

Package: xnee
Version: 3.19-1
Severity: important

Dear Maintainer,

    I tried to record and replay. I ran
      $ cnee --record --mouse --keyboard --all-events -o /tmp/xnee.xns -e /tmp/xnee.log -v --stop-key 'F1'
    and then
      $ cnee --replay -f /tmp/xnee.xns
    This led to my mouse moving to my upper left corner and to my key repeat rate being unset.
    I also received these messages on replay:
      Workaround: Creating context on data display instead of control 
                  You can ignore this message
      NOTIFICATION: If you have problem with Xnee and recording device events: File a bug report including this text.
 
    I also attempted to run the 2.1.2 example in the online manual:
      $ cnee --record -o example2.xnr --device-event-range 2-3 --time 5 --events-to-record 20
    and replay with
      $ cnee --replay -f example2.xnr --time 5
    My mouse did not move and my key repeat rate didn't change, but the record wasn't replayed.
 
    I should note that I'm using i3wm, a tiling window manager.

Thank you.

-- System Information:
Debian Release: jessie/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'testing'), (50, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.14-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xnee depends on:
ii  cnee  3.19-1
ii  gnee  3.19-1

xnee recommends no packages.

xnee suggests no packages.

-- no debconf information